1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Persona 1 remake with 5.50 GEN-D3

Discussion in 'Sony PSP - Mod and firmware discussion' started by Kobracon, Mar 5, 2010.

  1. Kobracon

    Kobracon Member

    Joined:
    Jun 11, 2008
    Messages:
    3
    Likes Received:
    0
    Trophy Points:
    11
    First off, I apologies if this doesn't belong here. I think it should, since it concerns CFW so....heres the problem:

    I'm fairly new to all this CFW stuff (took me a while to even find out what CFW stood for :p) so I've been fine with games on my PSP so far, never ran into any problems until I tried Persona...

    Being a huge fan of Persona, I stopped at nothing to find out how to play this, and since google failed me, I am now coming here for some sincere help.

    I found and followed this guide: http://www.pspiso.com/showthread.php?t=522245

    but to no avail. I realised they keep saying 5.50 B2 in the guide and I'm wondering if THAT is my problem? Does this method only work with GEN 5.50-B2 and if so how do i fully downgrade to that? If not, what else can I do to fix this problem and get to summoning Personas?

    P.S. Before i used that guide, I couldn't even SEE Persona under the 'games'. After patching and stuff, I can SEE it in there but when i try to play it, I just get a black screen. Oh and I think my PSPs a 2000...not really sure...(its the special God of War one. Blood red. Picture of Kratos' face on the back, hope that helps....)

    thanks in advance
     
  2. Mickoz74

    Mickoz74 Regular member

    Joined:
    Jun 15, 2008
    Messages:
    2,140
    Likes Received:
    0
    Trophy Points:
    46
    gen update in my signature below up to 5.50 gen-d3 if you flick a switch and the spring pops the umd slot open you have a psp 1000. if you have to manually open the umd slot and have a slot you can hook up psp to tv you have a psp 2000
     
  3. Faust_iii

    Faust_iii Member

    Joined:
    Apr 4, 2010
    Messages:
    1
    Likes Received:
    0
    Trophy Points:
    11
    i used 5.50 gen-d and switched to the sony drivers...works fine for me now... try that
     

Share This Page